## org.apache.solr.client.solrj.response
Class GroupResponse

    java.lang.Object
      org.apache.solr.client.solrj.response.GroupResponse

All Implemented Interfaces:
  Serializable

    public class GroupResponse

extends Object
implements Serializable

Overall grouping result. Contains a list of `GroupCommand` instances that is the result of one the following parameters:

- group.field
- group.func
- group.query

Since:
  solr 3.4
See Also:
  Serialized Form

Constructor Summary
`GroupResponse()`

Method Summary
`void` `add(GroupCommand command)` Adds a grouping command to the response.
`List<GroupCommand>` `getValues()` Returns all grouping commands.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupResponse

    public GroupResponse()

Method Detail

### add

    public void add(GroupCommand command)

  Adds a grouping command to the response.

  Parameters:
    `command` - The grouping command to add

### getValues

    public List<GroupCommand> getValues()

  Returns all grouping commands.

  Returns:
    all grouping commands

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.